Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.cmd
Class StartProcessInstanceWithParentCommand

    java.lang.Object
      org.jbpm.kie.services.impl.cmd.StartProcessInstanceWithParentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<ProcessInstance>, Command<ProcessInstance>, org.kie.internal.command.ProcessInstanceIdCommand

    public class StartProcessInstanceWithParentCommand

extends Object
implements org.drools.core.command.impl.GenericCommand<ProcessInstance>, org.kie.internal.command.ProcessInstanceIdCommand

See Also:
  Serialized Form

Constructor Summary
`StartProcessInstanceWithParentCommand()`
`StartProcessInstanceWithParentCommand(Long processInstanceId, Long parentProcessInstanceId)`

Method Summary
`ProcessInstance` | `execute(org.kie.internal.command.Context context)`
`Long` | `getParentProcessInstanceId()`
`Long` | `getProcessInstanceId()`
`void` | `setParentProcessInstanceId(Long parentProcessInstanceId)`
`void` | `setProcessInstanceId(Long processInstanceId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartProcessInstanceWithParentCommand

    public StartProcessInstanceWithParentCommand()

### StartProcessInstanceWithParentCommand

    public StartProcessInstanceWithParentCommand(Long processInstanceId,
                                                 Long parentProcessInstanceId)

Method Detail

### getParentProcessInstanceId

    public Long getParentProcessInstanceId()

### setParentProcessInstanceId

    public void setParentProcessInstanceId(Long parentProcessInstanceId)

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

  Specified by:
    `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

### execute

    public ProcessInstance execute(org.kie.internal.command.Context context)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<ProcessInstance>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.